Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1735007 - cbi-plugins: FTBFS in Fedora rawhide/f31
Summary: cbi-plugins: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cbi-plugins
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-31 17:57 UTC by Fedora Release Engineering
Modified: 2019-09-29 07:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-29 07:22:13 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.20 KB, text/plain)
2019-07-31 17:57 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-07-31 17:57 UTC, Fedora Release Engineering
no flags Details
state.log (479 bytes, text/plain)
2019-07-31 17:57 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-07-31 17:57:05 UTC
cbi-plugins failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36632351


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix cbi-plugins at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cbi-plugins will be orphaned. Before branching of Fedora 32,
cbi-plugins will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-07-31 17:57:07 UTC
Created attachment 1595558 [details]
build.log

Comment 2 Fedora Release Engineering 2019-07-31 17:57:09 UTC
Created attachment 1595559 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-07-31 17:57:11 UTC
Created attachment 1595560 [details]
state.log

Comment 4 Alexander Kurtakov 2019-07-31 18:20:29 UTC
Mat, is this still needed or I can orphan it for the module now?

Comment 5 Ben Cotton 2019-08-13 18:38:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 6 Fedora Release Engineering 2019-09-22 04:23:52 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 7 Alexander Kurtakov 2019-09-23 12:55:37 UTC
Package is useful only in the sense of the eclipse module. So I've orpahed this one now.

Comment 8 Fedora Release Engineering 2019-09-29 04:24:46 UTC
Dear Maintainer,

your package has not been built successfully in 31. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 32 according to the schedule [3],
any packages which still have open FTBFS bugs from Fedora 31 will be retired.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/32/Schedule

Comment 9 Alexander Kurtakov 2019-09-29 07:22:13 UTC
Eclipse module is the supported way. This one is orphaned.


Note You need to log in before you can comment on or make changes to this bug.